thefuck package must be updated: ModuleNotFoundError: No module named 'imp'

Bug #2065530 reported by Anton Soroko
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
thefuck (Ubuntu)
New
Undecided
Unassigned

Bug Description

thefuck package must be updated, current version in repo is 3.29-0.3ubuntu1 and it is failing with
`ModuleNotFoundError: No module named 'imp'`
b/c Ubuntu 24.04 switched to python 3.12.

It was fixed in latest versions. i tested 3.32 - it works fine.

but to build a package with python 3.12 you might need to apply a patch:
https://github.com/nvbn/thefuck/pull/1247 or https://github.com/nvbn/thefuck/pull/1404

(like in https://salsa.debian.org/debian/thefuck/-/tree/master/debian/patches?ref_type=heads)

ProblemType: Bug
DistroRelease: Ubuntu 24.04
Package: thefuck 3.29-0.3ubuntu1
ProcVersionSignature: Ubuntu 6.8.0-31.31-generic 6.8.1
Uname: Linux 6.8.0-31-generic x86_64
ApportVersion: 2.28.1-0ubuntu3
Architecture: amd64
CasperMD5CheckResult: unknown
CurrentDesktop: KDE
Date: Sun May 12 19:41:46 2024
InstallationDate: Installed on 2020-10-29 (1291 days ago)
InstallationMedia: Kubuntu 20.10 "Groovy Gorilla" - Release amd64 (20201022)
PackageArchitecture: all
SourcePackage: thefuck
UpgradeStatus: Upgraded to noble on 2024-05-12 (0 days ago)

Revision history for this message
Anton Soroko (antonsoroko) wrote :
description: updated
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.